## mapsembler2 2.2.4+dfsg

=== kissreads/Makefile ===
######################################################################################################
#  kissreads                                                                                         #
#  January 2012                                                                                      #
######################################################################################################
# Developper:                                                                                        #
#  Pierre PETERLONGO               pierre.peterlongo@inria.fr                                        #
######################################################################################################

# POSSIBILITIES:
# * make: compiled for generic usage. By default: kmer_spanning (a position is considered as covered if the kmer starting at this position is fully covered by a read)
# * make MYFLAGS=-DREAD2INV : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
# * make MYFLAGS=-DCLASSICAL_SPANNING : compiled without kmer (a position is considered as covered as soon as a read maps this position)
# * make MYFLAGS=-DINPUT_FROM_KISSPLICE : compiled for dealing with kissplice output and to count separately junctions and central portions
# Note that this is compatible: make CFLAGS="-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE" is possible


ALL		= kissreads
CC		=gcc

# optimized flags

#CFLAGS=-Wall -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!§
CFLAGS= -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!
CFLAGS+=$(MYFLAGS)
#LDFLAGS+=-Wall -lm -O3 -lz -DOMP -fopenmp#-fopenmp
LDFLAGS+= -lm -O3 -lz -DOMP -fopenmp#-fopenmp

## debug flags


#CFLAGS		+=-Wall -g -lz -fopenmp
#LDFLAGS		+=-Wall -lm -g -lz -fopenmp



SRCDIR		= ./src/
INCLDIR		= ./include/
IFLAGS		= -I$(INCLDIR)




SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c 
OBJ	= $(SRC:.c=.o)



all: $(ALL)
	@echo "#################"
	@echo "# Compilation OK#"
	@echo "#################"

kissreads: $(OBJ) 
	$(CC)  -o $@ $^ $(LDFLAGS)


kissReads.o: $(INCLDIR)coherence_algorithm.h  $(INCLDIR)couple.h $(INCLDIR)extension_algorithm.h $(INCLDIR)fragment_info.h  $(INCLDIR)libchash.h  $(INCLDIR)outputs.h $(INCLDIR)commons.h $(INCLDIR)extending_fragment.h $(INCLDIR)fragment_index.h $(INCLDIR)hash.h $(INCLDIR)list.h 

%.o: %.c
	$(CC)  -o $@ -c $< $(CFLAGS) $(IFLAGS)

.PHONY: clean mrproper

clean:
	rm -rf $(SRCDIR)*.o $(ALL)

mrproper: clean
	rm -rf $(ALL)

=== kissreads/src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/thirdparty/kissreads/include)
ADD_EXECUTABLE(kissreads commons.c extension_algorithm.c interface_libchash.c libchash.c outputs.c coherent_algorithm.c couple.c fragment_index.c kissReads.c list.c tree.c)
IF(UNIX)
  TARGET_LINK_LIBRARIES(kissreads m)
ENDIF(UNIX)
install(TARGETS kissreads DESTINATION bin)

=== mapsembler2_extremities/thirdparty/gatb-core/CMakeLists.txt ===
project(gatb-core)

# We set the required version
cmake_minimum_required (VERSION 2.6)

################################################################################
# The version number.
################################################################################
SET (gatb-core_VERSION_MAJOR 1)
SET (gatb-core_VERSION_MINOR 0)
SET (gatb-core_VERSION_PATCH 5)

IF (DEFINED MAJOR)
    SET (gatb-core_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-core_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-core_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-core-version ${gatb-core_VERSION_MAJOR}.${gatb-core_VERSION_MINOR}.${gatb-core_VERSION_PATCH})
set (gatb-core-date "xxxx-xx-xx")

################################################################################
# Define cmake modules directory
################################################################################
set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

################################################################################
# Include external cmake files
################################################################################
include (DefineInteger)
include (CppUnit)
include (GetDate)

# We check whether we have native 128 bits integers
DefineInteger (k)

# We get the current date
GetCurrentDate (gatb-core-date) 

################################################################################
# COMPILER DEFINITIONS
################################################################################
# We try to find the best compiler config, in particular for C++ extension usage
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

    IF(NOT CMAKE_CXX_COMPILER_VERSION) #for old cmakes
        include(CheckCompiler)
    ENDIF()
    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.5) 
        message ("-------------------------------------------------------------------------------------")
        message ("-- GCC VERSION IS NOT ENOUGH TO HAVE C++ EXTENSIONS... SOME EXAMPLES CAN'T COMPILE...")
        message ("-------------------------------------------------------------------------------------")
    else()
        set (use_new_cxx 1)
        message ("-------------------------------------------------------------------------------------")
        message ("-- C++ EXTENSIONS WILL BE USED...")
        message ("-------------------------------------------------------------------------------------")
    endif()

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.7) 
        set (use_mphf 0)
    else()
        set (use_mphf 1)
    endif()

elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 3.2) 
        message ("-------------------------------------------------------------------------------------")
        message ("-- CLANG VERSION IS NOT ENOUGH TO HAVE C++ EXTENSIONS... SOME EXAMPLES CAN'T COMPILE...")
        message ("-------------------------------------------------------------------------------------")
    else()
        set (use_new_cxx 1)
        message ("-------------------------------------------------------------------------------------")
        message ("-- C++ EXTENSIONS WILL BE USED...")
        message ("-------------------------------------------------------------------------------------")
    endif()

    if (CMAKE_CXX_COMPILER_VERSION  VERSION_LESS 4.3) 
        set (use_mphf 0)
    else()
        set (use_mphf 1)
    endif()

else()
        message ("-------------------------------------------------------------------------------------")
        message ("-- WARNING !!! YOU USE AN UNKNOWN COMPILER...")
        message ("-------------------------------------------------------------------------------------")
endif()

################################################################################
# GENERAL DEFINITIONS
################################################################################
if (debug)
    #set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p -pg")
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p")
    message("-- COMPILATION IN DEBUG MODE")
else()
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3")
endif()

if (INT128_FOUND)
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DINT128_FOUND")
endif()

# We determine what kind of c++ standard we should use according to the compiler
# According to the CXX version, we have to activate some flags
if (use_new_cxx)
    # We set a flag for lambda expressions usage
    set (CXX_STD_VERSION "-std=c++0x")
    # We set a flag for lambda expressions
    set (WITH_LAMBDA_EXPRESSION "1")
    # We add compilation flags to the global flags
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}  -DWITH_LAMBDA_EXPRESSION  ${CXX_STD_VERSION}")
 endif()

if (use_mphf)
    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS}    -DWITH_MPHF ")
        message ("-------------------------------------------------------------------------------------")
        message ("-- WILL COMPILE MPHF! (COMPILER VERSION IS HIGH ENOUGH) ")
        message ("-------------------------------------------------------------------------------------")
endif()

# In case we use an "old" version of clang with boost and c++0x, we have to skip rvalue usage
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
	set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -DBOOST_NO_CXX11_RVALUE_REFERENCES=1")
endif()

# WARNING !!! For the moment, we need to remove some warnings (on Macos) due to use of offsetof macro on non Plain Old Data
set (LIBRARY_COMPILE_DEFINITIONS "${LIBRARY_COMPILE_DEFINITIONS} -Wno-invalid-offsetof") 

message("-- Options: ${LIBRARY_COMPILE_DEFINITIONS}")

################################################################################
#  DIRECTORIES MANAGEMENT 
################################################################################

set (LIBRARY_OUTPUT_PATH       ${PROJECT_BINARY_DIR}/lib/${CMAKE_BUILD_TYPE})
set (EXECUTABLE_OUTPUT_PATH    ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})

################################################################################
#  EXPORT FOR THIRD PARTIES 
################################################################################

# In case you need to use external libraries, you can use the following variables:
#   EXTRALIBS      : names of the libraries to be used
#   EXTRALIBS_PATH : directory where the libraries are
#   EXTRALIBS_INC  : directory of the include files for the libraries 
# For instance, you can do the following:
#       cmake -DEXTRALIBS="somelib"  -DEXTRALIBS_PATH="/somewhere/libs"  -DEXTRALIBS_INC="/somewhere/inc" ..

IF (DEFINED EXTRALIBS)
    set (gatb-core-extra-libraries ${EXTRALIBS})
    set (gatb-core-extra-libraries ${gatb-core-extra-libraries} PARENT_SCOPE)
ENDIF()
IF (DEFINED EXTRALIBS_PATH)
    set (gatb-core-extra-libraries-path ${EXTRALIBS_PATH})
    set (gatb-core-extra-libraries-path ${gatb-core-extra-libraries-path} PARENT_SCOPE)
ENDIF()
IF (DEFINED EXTRALIBS_INC)
    set (gatb-core-extra-libraries-inc ${EXTRALIBS_INC})
    set (gatb-core-extra-libraries-inc ${gatb-core-extra-libraries-inc} PARENT_SCOPE)
ENDIF()

# We define the compilation flags used for compiling binary based on gatb core
set (gatb-core-flags ${LIBRARY_COMPILE_DEFINITIONS})

# We define the include directories used for linking binary based on gatb core
# Note that we need to add boost include dependency (not working otherwise with clang)
set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty ${gatb-core-extra-libraries-inc})

# We define the libraries used for linking binary based on gatb core
set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5 ${gatb-core-extra-libraries})

# We define the directory where to find cmake helpers
set (gatb-core-cmake  ${CMAKE_MODULE_PATH})

# NOTE... we have to duplicate the variables for the other scopes (in particular for sub directories)
set (gatb-core-flags          ${gatb-core-flags}          PARENT_SCOPE)
set (gatb-core-includes       ${gatb-core-includes}       PARENT_SCOPE)
set (gatb-core-libraries      ${gatb-core-libraries}      PARENT_SCOPE)
set (gatb-core-cmake          ${gatb-core-cmake}          PARENT_SCOPE)

################################################################################
#  LIBRARY GENERATION 
################################################################################
ADD_SUBDIRECTORY(src)

################################################################################
#  UNIT TESTS GENERATION 
################################################################################
IF (DEFINED CPPUNIT_FOUND)
    IF (EXISTS "${PROJECT_SOURCE_DIR}/test")
        IF (NOT DEFINED GATB_CORE_EXCLUDE_TESTS)
            ADD_SUBDIRECTORY (test)
        ENDIF()
    ENDIF()
ENDIF()

################################################################################
#  TOOLS GENERATION 
################################################################################
IF (NOT DEFINED GATB_CORE_EXCLUDE_TOOLS)
    ADD_SUBDIRECTORY(tools)
ENDIF()

################################################################################
#  THIRD PARTY GENERATION (
################################################################################
ADD_SUBDIRECTORY(thirdparty)

################################################################################
#  DEPENDENCIES 
################################################################################
# we must be sure that hdf5 is built and installed before building gatb-core
ADD_DEPENDENCIES (gatbcore-static hdf5 hdf5_postbuild)

IF (DEFINED WITH_MPHF)
    ADD_DEPENDENCIES(gatbcore-static emphf_copyasis)
ENDIF()

################################################################################
#  DOCUMENTATION GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/doc")
    ADD_SUBDIRECTORY(doc EXCLUDE_FROM_ALL)
ENDIF()

################################################################################
#  EXAMPLES GENERATION 
################################################################################
IF (EXISTS "${PROJECT_SOURCE_DIR}/examples")
    IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
        ADD_SUBDIRECTORY(examples EXCLUDE_FROM_ALL)
    ENDIF()
ENDIF()

################################################################################
#  INSTALL 
################################################################################

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    INSTALL (FILES ${PROJECT_SOURCE_DIR}/doc/misc/README.txt  DESTINATION . OPTIONAL)
ENDIF()

IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
    INSTALL (DIRECTORY ${PROJECT_SOURCE_DIR}/examples DESTINATION . OPTIONAL  FILES_MATCHING PATTERN "*.cpp")
ENDIF()

################################################################################
#  DELIVERY 
################################################################################
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-core project")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-core_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-core_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-core_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-core-version}")  
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")
SET (CPACK_SOURCE_IGNORE_FILES          
    "^${PROJECT_SOURCE_DIR}/build/"  
    "^${PROJECT_SOURCE_DIR}/.project"
    "^${PROJECT_SOURCE_DIR}/.gitignore"
    "^${PROJECT_SOURCE_DIR}/doc/design"
    "^${PROJECT_SOURCE_DIR}/DELIVERY.md"
)

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    # We include the module and get all the delivery targets
    include (Delivery)
ENDIF ()

=== mapsembler2_extremities/thirdparty/gatb-core/doc/CMakeLists.txt ===

find_package (Doxygen)

# see http://www.cmake.org/pipermail/cmake/2008-May/021426.html

if (DOXYGEN_FOUND)

    CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/doxygen/gatb.doxyfile  ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile  @ONLY)
    
    ADD_CUSTOM_TARGET (doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
    
    INSTALL (CODE "execute_process(COMMAND ${CMAKE_BUILD_TOOL} doc)")
    
    INSTALL (DIRECTORY ${CMAKE_BINARY_DIR}/doc/html DESTINATION doc)
    
endif (DOXYGEN_FOUND)


# HERE IS A COMMAND LINE TO COPY THE HTML DOCUMENTATION TO THE GFORGE SERVER  (from the build directory)
#    scp doc/html/* edrezen@scm.gforge.inria.fr:/home/groups/gatb-core/htdocs/

=== mapsembler2_extremities/thirdparty/gatb-core/examples/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB EXAMPLES ----------")
################################################################################

################################################################################
#  EXAMPLES 
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

file (GLOB_RECURSE  PROGRAMS_FILES  *.cpp)

file (GLOB_RECURSE  PROGRAMS_FILES_EXTRA  
    bank13.cpp 
    debruijn7.cpp debruijn18.cpp debruijn19.cpp debruijn20.cpp debruijn21.cpp debruijn22.cpp debruijn23.cpp
    kmer5.cpp kmer8.cpp
    storage4.cpp 
    multithreading2.cpp  multithreading4.cpp  multithreading5.cpp  multithreading6.cpp
    ToyTool.cpp  
)

# Some examples may require lambda expressions. If this option is not activated, we
# don't compile such examples.
if (NOT WITH_LAMBDA_EXPRESSION)
    message ("-- WARNING !!! Some examples won't be compiled (use of lambda expressions)")
    LIST (REMOVE_ITEM PROGRAMS_FILES ${PROGRAMS_FILES_EXTRA})
endif()

FOREACH (program ${PROGRAMS_FILES})

    # we get the base name of the current example
    get_filename_component(basename ${program} NAME_WE)
   
    # we add an executable for this example
    add_executable (${basename} ${program})
  
    # we use the gatb core libraries for the link
    target_link_libraries (${basename} ${gatb-core-libraries})

    list (APPEND PROGRAMS_NAMES ${basename})
      
ENDFOREACH (program)

# We add a custom target for making all examples
add_custom_target (examples ALL DEPENDS ${PROGRAMS_NAMES})

=== mapsembler2_extremities/thirdparty/gatb-core/test/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB TESTS ----------")
################################################################################

################################################################################
#  UNIT TESTS GENERATION 
################################################################################
ADD_SUBDIRECTORY (unit)

################################################################################
#  BENCHMARK TESTS GENERATION 
################################################################################
ADD_SUBDIRECTORY (benchmark EXCLUDE_FROM_ALL)

=== mapsembler2_extremities/thirdparty/gatb-core/tools/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB TOOLS ----------")
################################################################################

################################################################################
#  TOOLS
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

list (APPEND PROGRAMS dbgh5 dbginfo)

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
ENDFOREACH (program)

################################################################################
#  INSTALLATION 
################################################################################
install (TARGETS dbgh5 dbginfo DESTINATION bin)

=== mapsembler2_extremities/thirdparty/gatb-core/examples/build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/ppeterlo/workspace/gatb-tools/gatb-tools/thirdparty/gatb-core/gatb-core/examples/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named bank1

# Build rule for target.
bank1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank1
.PHONY : bank1

# fast build rule for target.
bank1/fast:
	$(MAKE) -f CMakeFiles/bank1.dir/build.make CMakeFiles/bank1.dir/build
.PHONY : bank1/fast

#=============================================================================
# Target rules for targets named bank2

# Build rule for target.
bank2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank2
.PHONY : bank2

# fast build rule for target.
bank2/fast:
	$(MAKE) -f CMakeFiles/bank2.dir/build.make CMakeFiles/bank2.dir/build
.PHONY : bank2/fast

#=============================================================================
# Target rules for targets named bank3

# Build rule for target.
bank3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank3
.PHONY : bank3

# fast build rule for target.
bank3/fast:
	$(MAKE) -f CMakeFiles/bank3.dir/build.make CMakeFiles/bank3.dir/build
.PHONY : bank3/fast

#=============================================================================
# Target rules for targets named bank4

# Build rule for target.
bank4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank4
.PHONY : bank4

# fast build rule for target.
bank4/fast:
	$(MAKE) -f CMakeFiles/bank4.dir/build.make CMakeFiles/bank4.dir/build
.PHONY : bank4/fast

#=============================================================================
# Target rules for targets named bank5

# Build rule for target.
bank5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank5
.PHONY : bank5

# fast build rule for target.
bank5/fast:
	$(MAKE) -f CMakeFiles/bank5.dir/build.make CMakeFiles/bank5.dir/build
.PHONY : bank5/fast

#=============================================================================
# Target rules for targets named bank6

# Build rule for target.
bank6: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank6
.PHONY : bank6

# fast build rule for target.
bank6/fast:
	$(MAKE) -f CMakeFiles/bank6.dir/build.make CMakeFiles/bank6.dir/build
.PHONY : bank6/fast

#=============================================================================
# Target rules for targets named bank7

# Build rule for target.
bank7: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank7
.PHONY : bank7

# fast build rule for target.
bank7/fast:
	$(MAKE) -f CMakeFiles/bank7.dir/build.make CMakeFiles/bank7.dir/build
.PHONY : bank7/fast

#=============================================================================
# Target rules for targets named bank8

# Build rule for target.
bank8: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bank8
.PHONY : bank8

# fast build rule for target.
bank8/fast:
	$(MAKE) -f CMakeFiles/bank8.dir/build.make CMakeFiles/bank8.dir/build
.PHONY : bank8/fast

#=============================================================================
# Target rules for targets named debruijn1

# Build rule for target.
debruijn1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn1
.PHONY : debruijn1

# fast build rule for target.
debruijn1/fast:
	$(MAKE) -f CMakeFiles/debruijn1.dir/build.make CMakeFiles/debruijn1.dir/build
.PHONY : debruijn1/fast

#=============================================================================
# Target rules for targets named debruijn2

# Build rule for target.
debruijn2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn2
.PHONY : debruijn2

# fast build rule for target.
debruijn2/fast:
	$(MAKE) -f CMakeFiles/debruijn2.dir/build.make CMakeFiles/debruijn2.dir/build
.PHONY : debruijn2/fast

#=============================================================================
# Target rules for targets named debruijn3

# Build rule for target.
debruijn3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn3
.PHONY : debruijn3

# fast build rule for target.
debruijn3/fast:
	$(MAKE) -f CMakeFiles/debruijn3.dir/build.make CMakeFiles/debruijn3.dir/build
.PHONY : debruijn3/fast

#=============================================================================
# Target rules for targets named debruijn4

# Build rule for target.
debruijn4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 debruijn4
.PHONY : debruijn4

# fast build rule for target.
debruijn4/fast:
	$(MAKE) -f CMakeFiles/debruijn4.dir/build.make CMakeFiles/debruijn4.dir/build
.PHONY : debruijn4/fast

#=============================================================================
# Target rules for targets named iterators1

# Build rule for target.
iterators1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators1
.PHONY : iterators1

# fast build rule for target.
iterators1/fast:
	$(MAKE) -f CMakeFiles/iterators1.dir/build.make CMakeFiles/iterators1.dir/build
.PHONY : iterators1/fast

#=============================================================================
# Target rules for targets named iterators2

# Build rule for target.
iterators2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators2
.PHONY : iterators2

# fast build rule for target.
iterators2/fast:
	$(MAKE) -f CMakeFiles/iterators2.dir/build.make CMakeFiles/iterators2.dir/build
.PHONY : iterators2/fast

#=============================================================================
# Target rules for targets named iterators3

# Build rule for target.
iterators3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators3
.PHONY : iterators3

# fast build rule for target.
iterators3/fast:
	$(MAKE) -f CMakeFiles/iterators3.dir/build.make CMakeFiles/iterators3.dir/build
.PHONY : iterators3/fast

#=============================================================================
# Target rules for targets named iterators4

# Build rule for target.
iterators4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators4
.PHONY : iterators4

# fast build rule for target.
iterators4/fast:
	$(MAKE) -f CMakeFiles/iterators4.dir/build.make CMakeFiles/iterators4.dir/build
.PHONY : iterators4/fast

#=============================================================================
# Target rules for targets named iterators5

# Build rule for target.
iterators5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 iterators5
.PHONY : iterators5

# fast build rule for target.
iterators5/fast:
	$(MAKE) -f CMakeFiles/iterators5.dir/build.make CMakeFiles/iterators5.dir/build
.PHONY : iterators5/fast

#=============================================================================
# Target rules for targets named kmer1

# Build rule for target.
kmer1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer1
.PHONY : kmer1

# fast build rule for target.
kmer1/fast:
	$(MAKE) -f CMakeFiles/kmer1.dir/build.make CMakeFiles/kmer1.dir/build
.PHONY : kmer1/fast

#=============================================================================
# Target rules for targets named kmer2

# Build rule for target.
kmer2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer2
.PHONY : kmer2

# fast build rule for target.
kmer2/fast:
	$(MAKE) -f CMakeFiles/kmer2.dir/build.make CMakeFiles/kmer2.dir/build
.PHONY : kmer2/fast

#=============================================================================
# Target rules for targets named kmer3

# Build rule for target.
kmer3: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer3
.PHONY : kmer3

# fast build rule for target.
kmer3/fast:
	$(MAKE) -f CMakeFiles/kmer3.dir/build.make CMakeFiles/kmer3.dir/build
.PHONY : kmer3/fast

#=============================================================================
# Target rules for targets named kmer4

# Build rule for target.
kmer4: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer4
.PHONY : kmer4

# fast build rule for target.
kmer4/fast:
	$(MAKE) -f CMakeFiles/kmer4.dir/build.make CMakeFiles/kmer4.dir/build
.PHONY : kmer4/fast

#=============================================================================
# Target rules for targets named kmer5

# Build rule for target.
kmer5: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer5
.PHONY : kmer5

# fast build rule for target.
kmer5/fast:
	$(MAKE) -f CMakeFiles/kmer5.dir/build.make CMakeFiles/kmer5.dir/build
.PHONY : kmer5/fast

#=============================================================================
# Target rules for targets named kmer6

# Build rule for target.
kmer6: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kmer6
.PHONY : kmer6

# fast build rule for target.
kmer6/fast:

=== mapsembler2_extremities/thirdparty/gatb-core/test/benchmark/CMakeLists.txt ===
################################################################################
#  EXAMPLES 
################################################################################

include_directories (${gatb-core-includes})

list (APPEND PROGRAMS bench1 bench_bloom)

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
ENDFOREACH (program)

=== debian/changelog ===
mapsembler2 (2.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * d/watch:
     - version=4
     - fix URL
     - recompression with xz
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2017 14:24:48 +0200

mapsembler2 (2.2.3+dfsg-3) unstable; urgency=medium

  * Fix type of prefix_trashable since gcc-5 is picky about it (Thanks to
    Gianfranco Costamagna <costamagnagianfranco@yahoo.it> for the hint)
    Closes: #797526
  * cme fix dpkg-control
  * DEP5 syntax
  * hardening=+all

  [ Olivier Sallou ]
  * d/copyright: add Upstream-Contact

 -- Andreas Tille <tille@debian.org>  Fri, 09 Sep 2016 15:41:22 +0200

=== debian/control ===
Source: mapsembler2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               bc,
               zlib1g-dev,
               help2man,
               libhdf5-dev,
               libcppunit-dev,
               libboost-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mapsembler2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mapsembler2.git
Homepage: http://colibread.inria.fr/mapsembler2/

Package: mapsembler2
Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 ppc64el s390x
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g,
         bc
Description: bioinformatics targeted assembly software
 Mapsembler2 is a targeted assembly software.
 It takes as input a set of NGS raw reads (fasta or fastq, gzipped or not)
 and a set of input sequences (starters).
 .
 It first determines if each starter is read-coherent, e.g. whether reads
 confirm the presence of each starter in the original sequence.
 Then for each read-coherent starter, Mapsembler2 outputs its sequence
 neighborhood as a linear sequence or as a graph, depending on the user choice.
 .
 Mapsembler2 may be used for (not limited to):
  - Validate an assembled sequence (input as starter), e.g. from a de
    Bruijn graph assembly where read-coherence was not enforced.
  - Checks if a gene (input as starter) has an homolog in a set of reads
  - Checks if a known enzyme is present in a metagenomic NGS read set.
  - Enrich unmappable reads by extending them, possibly making them mappable
  - Checks what happens at the extremities of a contig
  - Remove contaminants or symbiont reads from a read set

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

ifneq ($(wildcard /usr/include/hdf5/serial),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	mkdir mapsembler2_extremities/build
	cd mapsembler2_extremities/build && cmake .. && make
	cd mapsembler2_extend && make k=29
	cd kissreads_graph && make k=29
	cd kissreads && make k=29


override_dh_clean:
	rm -rf mapsembler2_extremities/build
	cd mapsembler2_extend && make clean
	rm -f mapsembler2_extend/mapsembler_extend
	cd kissreads_graph && make clean
	rm -f kissreads_graph/mapsembler2_kissreads_graph
	cd kissreads && make clean
	rm -f kissreads/mapsembler2_kissreads

	rm -f mapsembler2_extremities.1
	rm -f mapsembler_extend.1
	rm -f kissreads.1
	rm -f kissreads_graph.1
	dh_clean

override_dh_install:
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extremities/build/mapsembler2_extremities > mapsembler2_extremities.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extend/mapsembler_extend > mapsembler_extend.1
	mv ./kissreads/kissreads ./kissreads/mapsembler2_kissreads
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads/mapsembler2_kissreads > mapsembler2_kissreads.1
	mv ./kissreads_graph/kissreads_graph ./kissreads_graph/mapsembler2_kissreads_graph
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads_graph/mapsembler2_kissreads_graph > mapsembler2_kissreads_graph.1
	cp run_mapsembler2_pipeline.sh run_mapsembler2_pipeline
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./run_mapsembler2_pipeline > run_mapsembler2_pipeline.1
	dh_install

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://colibread.inria.fr/software/mapsembler2/  .*/mapsembler2_(2\.[.\d]+)\.zip
